AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - m -

- map : CYCLIC_REFRESH, EncSegmentationInfo, LAYER_CONTEXT
- mask : OBMCBuffer
- max_height_sb : CommonTileParams
- max_inter_bitrate_pct : RateControlCfg
- max_intra_bitrate_pct : RateControlCfg
- max_log2_cols : CommonTileParams
- max_log2_rows : CommonTileParams
- max_mv_context : macroblock
- max_mv_magnitude : LAYER_CONTEXT, MotionVectorSearchParams
- max_partition_size : cfg_options, PartitionCfg, SuperBlockEnc
- max_qdelta_perc : CYCLIC_REFRESH
- max_quantizers : aom_svc_params
- max_width_sb : CommonTileParams
- maximum_buffer_size : PRIMARY_RATE_CONTROL
- maximum_buffer_size_ms : RateControlCfg
- mb_cols : CommonModeInfoParams, TemporalFilterCtx
- mb_delta_q : AV1_COMP
- mb_energy : macroblock
- mb_mode_cache : macroblock
- mb_rd_info : MB_RD_RECORD
- mb_rd_record : TxfmSearchInfo
- mb_rows : CommonModeInfoParams, TemporalFilterCtx
- mb_to_bottom_edge : macroblockd
- mb_to_left_edge : macroblockd
- mb_to_right_edge : macroblockd
- mb_to_top_edge : macroblockd
- mb_weber_stats : AV1_COMP
- mbmi : motion_mode_candidate, WinnerModeStats
- mbmi_arr : inter_modes_info
- mbmi_ext : macroblock
- mbmi_ext_frame : macroblock
- mbmi_ext_info : AV1_COMP
- mbmode_cost : ModeCosts
- MBs : CommonModeInfoParams
- mc : aom_image
- mc_buf : DecoderCodingBlock
- mc_dep_cost : aom_sb_tpl_features
- metadata : aom_image
- mi : macroblockd
- mi_alloc : CommonModeInfoParams
- mi_alloc_bsize : CommonModeInfoParams
- mi_alloc_size : CommonModeInfoParams
- mi_alloc_stride : CommonModeInfoParams
- mi_col : aom_partition_features, macroblockd
- mi_cols : CommonModeInfoParams
- mi_grid_base : CommonModeInfoParams
- mi_grid_size : CommonModeInfoParams
- mi_high_l2 : CdefBlockInfo
- mi_params : AV1Common
- mi_row : aom_partition_features, macroblockd
- mi_rows : CommonModeInfoParams
- mi_stride : CommonModeInfoParams, macroblockd
- mi_wide_l2 : CdefBlockInfo
- min_cr : RateControlCfg
- min_dist_inter_uv : macroblock
- min_inner_width : CommonTileParams
- min_log2 : CommonTileParams
- min_log2_cols : CommonTileParams
- min_log2_rows : CommonTileParams
- min_partition_size : cfg_options, PartitionCfg, SuperBlockEnc
- min_quantizers : aom_svc_params
- mode : COMP_RD_STATS, MB_MODE_INFO, RateControlCfg
- mode_checked : InterModeSearchStateNonrd
- mode_context : MB_MODE_INFO_EXT, MB_MODE_INFO_EXT_FRAME
- mode_costs : macroblock
- mode_eval_type : TxfmSearchParams
- mode_index : WinnerModeStats
- mode_rate_arr : inter_modes_info
- mode_uv : IntraModeSearchState
- model_dist : COMP_RD_STATS
- model_rate : COMP_RD_STATS
- monochrome : aom_codec_enc_cfg, aom_image
- motion_features : aom_sb_features
- motion_mode : MB_MODE_INFO
- motion_mode_cost : ModeCosts
- motion_mode_cost1 : ModeCosts
- motion_thresh : CYCLIC_REFRESH
- mt_info : AV1_COMP
- must_find_valid_partition : macroblock
- mutex_ : AV1EncAllIntraMultiThreadInfo, AV1EncRowMultiThreadInfo, AV1EncRowMultiThreadSync
- mv : COMP_RD_STATS, MB_MODE_INFO
- mv_cost_stack : MvCosts
- mv_costs : macroblock
- mv_in_out_count : FIRSTPASS_STATS
- mv_limits : macroblock
- mv_search_params : AV1_COMP
- mv_sf : SPEED_FEATURES
- mv_stats : AV1_COMP, AV1_PRIMARY
- mv_step_param : MotionVectorSearchParams
- MVc : FIRSTPASS_STATS
- mvc_abs : FIRSTPASS_STATS
- MVcv : FIRSTPASS_STATS
- MVr : FIRSTPASS_STATS
- mvr_abs : FIRSTPASS_STATS
- MVrv : FIRSTPASS_STATS